import { Color2D, SpectrumTwoDimensionsColor } from 'nmr-load-save';
import { UsedColors } from '../../../types/UsedColors';
interface BaseColorOptions {
    usedColors?: UsedColors;
    colors?: SpectrumTwoDimensionsColor[];
}
interface ColorOptions extends BaseColorOptions {
    regenerate?: false;
}
interface RandomColorOptions extends BaseColorOptions {
    regenerate: true;
    random?: boolean;
}
export declare function get2DColor(spectrum: any, options: ColorOptions | RandomColorOptions): Color2D;
type ExperimentType = 'cosy' | 'roesy' | 'noesy' | 'tocsy' | 'hsqc' | 'hmbc';
export declare const color2D: Readonly<Record<ExperimentType, Color2D>>;
export {};
