/** @jsxImportSource @emotion/react */
import { PopoverProps } from '@blueprintjs/core';
import { ButtonProps } from 'react-science/ui';
export interface ActionsButtonsPopoverProps extends Omit<PopoverProps, 'interactionKind' | 'content'> {
    buttons: Array<Pick<ButtonProps, 'icon' | 'onClick' | 'intent' | 'disabled'> & {
        title?: string;
        visible?: boolean;
    }>;
}
export declare function ActionsButtonsPopover(props: ActionsButtonsPopoverProps): import("@emotion/react/jsx-runtime").JSX.Element;
