import { IconName, TooltipProps } from '@blueprintjs/core';
import { CSSProperties, ReactNode } from 'react';
interface IconButtonProps extends React.SVGAttributes<SVGElement> {
    size?: number;
    padding?: number;
    icon?: IconName;
    backgroundColor?: CSSProperties['backgroundColor'];
    color?: CSSProperties['color'];
    title?: string;
    tooltipProps?: TooltipProps;
    renderIcon?: (props: Pick<IconButtonProps, 'color' | 'size'>) => ReactNode;
}
export declare function SVGButton(props: IconButtonProps): import("react/jsx-runtime").JSX.Element;
export {};
