import { jsx as _jsx } from "react/jsx-runtime";
import { useDispatch } from '../../../context/DispatchContext';
import EditableColumn from '../../../elements/EditableColumn';
export function ZoneAssignmentLabelColumn({ rowData, }) {
    const dispatch = useDispatch();
    function saveHandler(event) {
        dispatch({
            type: 'CHANGE_ZONE_ASSIGNMENT_LABEL',
            payload: {
                value: event.target.value,
                zoneID: rowData.id,
            },
        });
    }
    return (_jsx("td", { children: _jsx(EditableColumn, { value: rowData?.assignment || '', onSave: saveHandler, style: { padding: '0.1rem 0.4rem' } }) }));
}
