import { SpectrumOneDimensionColor } from 'nmr-load-save';
import { UsedColors } from '../../../types/UsedColors';
interface BaseColorOptions {
    usedColors?: UsedColors;
    colors?: SpectrumOneDimensionColor[];
}
interface ColorOptions extends BaseColorOptions {
    regenerate?: false;
}
interface RandomColorOptions extends BaseColorOptions {
    regenerate: true;
    random?: boolean;
}
export declare const COLORS: Readonly<string[]>;
export declare function get1DColor(spectrum: any, options: ColorOptions | RandomColorOptions): {
    color: string;
};
export {};
